"use client";
import { Roboto } from "next/font/google";
import { createTheme } from "@mui/material/styles";

const roboto = Roboto({
  weight: ["300", "400", "500", "700"],
  subsets: ["latin"],
  display: "swap",
});

const getCssVariableValue = (variable: string): string => {
  return getComputedStyle(document.documentElement).getPropertyValue(variable);
};

const theme = createTheme({
  typography: {
    fontFamily: roboto.style.fontFamily,
  },
  palette: {
    primary: {
      main: getCssVariableValue("--primary").trim() || "#6290cb", // Fallback to default color
      light: getCssVariableValue("--primary_light").trim() || "#dae7f9", // Fallback to default color
    },
  },
});

export default theme;
