"use client";
import * as React from "react";
import { styled } from "@mui/material/styles";
import Button, { ButtonProps } from "@mui/material/Button";

const ColorButton = styled(Button)<ButtonProps>(() => ({
  textTransform: "capitalize",
  paddingInline: "30px",
  borderRadius: "6px",
  boxShadow: "none",
  minHeight: "40px",
  fontSize: "18px",
  fontWeight: "400",
}));

type InputType = {
  label: string;
  statIcon?: React.ReactNode;
};

export default function CustomizedButtons({ label, statIcon }: InputType) {
  return (
    <>
      <ColorButton variant="contained">
        {statIcon && statIcon}
        {label}
      </ColorButton>
    </>
  );
}
